Skip to main content
GET
/
pipelines
/
{uuid}
Get pipeline by UUID
curl --request GET \
  --url https://api.artie.com/pipelines/{uuid} \
  --header 'Authorization: Bearer <token>'
{
  "pipeline": {
    "advancedSettings": {
      "appendOnly": true,
      "autoReplicateIgnoreRegex": "<string>",
      "autoReplicateNewTables": true,
      "bufferRows": 123,
      "defaultSourceSchema": "<string>",
      "dropDeletedColumns": true,
      "dynamoDBBackfillConfig": {
        "bucket": "<string>",
        "enabled": true,
        "exportArn": "<string>",
        "optionalFolder": "<string>"
      },
      "enableSoftDelete": true,
      "flushIntervalSeconds": 123,
      "flushSizeKb": 123,
      "forceUTCTimezone": true,
      "includeArtieOperationColumn": true,
      "includeArtieUpdatedAtColumn": true,
      "includeDatabaseUpdatedAtColumn": true,
      "includeFullSourceTableNameColumn": true,
      "includeFullSourceTableNameColumnAsPrimaryKey": true,
      "includeSourceMetadataColumn": true,
      "nullOutInvalidValues": true,
      "reuseStagingTable": true,
      "sessionDriverMemory": "<string>",
      "sessionExecutorMemory": "<string>",
      "snowpipeStreamingMaxChannels": 123,
      "splitEventsByType": true,
      "stagingSchema": "<string>",
      "staticColumns": [
        {
          "column": "<string>",
          "value": "<string>"
        }
      ],
      "tablesPerTransferPod": 1,
      "truncateExceededValues": true,
      "turboLatencyThresholdMinutes": 123,
      "turboRowThreshold": 123,
      "turboWarehouse": "<string>",
      "useBQBatchPriority": true,
      "useBigNumericForVariableNumeric": true,
      "useSnowpipeStreaming": true,
      "waitForTopics": true,
      "writeRawBinaryValues": true
    },
    "companyUUID": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
    "createdAt": "2023-11-07T05:31:56Z",
    "dataPlaneName": "<string>",
    "environmentUUID": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
    "hasUndeployedChanges": true,
    "isDeploying": true,
    "lastUpdatedAt": "2023-11-07T05:31:56Z",
    "name": "<string>",
    "sourceType": "api",
    "specificDestCfg": {
      "bucketName": "<string>",
      "containerName": "<string>",
      "database": "<string>",
      "dynamicallyCreateNamespaces": true,
      "externalStageName": "<string>",
      "externalStageS3Bucket": "<string>",
      "externalStageS3Prefix": "<string>",
      "folderName": "<string>",
      "schema": "<string>",
      "schemaNamePrefix": "<string>",
      "tableNameSeparator": "<string>",
      "useSameSchemaAsSource": true
    },
    "tables": [
      {
        "advancedSettings": {
          "alias": "<string>",
          "backfillFromDatabases": [
            "<string>"
          ],
          "backfillFromSchemas": [
            "<string>"
          ],
          "bigQueryPartitionSettings": {
            "partitionBy": "<string>",
            "partitionField": "<string>",
            "partitionType": "<string>"
          },
          "bufferRows": 123,
          "columnsToHash": [
            "<string>"
          ],
          "ctidSettings": {
            "chunkSize": 1,
            "enabled": true,
            "maxParallelism": 1
          },
          "excludeColumns": [
            "<string>"
          ],
          "flushIntervalSeconds": 123,
          "flushSizeKb": 123,
          "historyTableBackfillFromSchemas": [
            "<string>"
          ],
          "includeColumns": [
            "<string>"
          ],
          "k8sRequestCPU": 1,
          "k8sRequestMemoryMB": 1,
          "mergePredicates": [
            {
              "partitionBy": "<string>",
              "partitionField": "<string>",
              "partitionType": "<string>"
            }
          ],
          "msmFlushCount": 1,
          "primaryKeysOverride": [
            "<string>"
          ],
          "rangeSettings": {
            "batchSize": 1,
            "chunksSize": 1,
            "enabled": true,
            "maxParallelism": 1
          },
          "shouldBackfillHistoryTable": true,
          "skipDelete": true,
          "softPartitioning": {
            "enabled": true,
            "maxPartitions": 123,
            "partitionColumn": "<string>",
            "partitionFrequency": "<string>",
            "partitionSchema": "<string>"
          },
          "streamARN": "<string>",
          "unifyAcrossDatabases": true,
          "unifyAcrossSchemas": true
        },
        "createdAt": "2023-11-07T05:31:56Z",
        "destinationTableName": "<string>",
        "disableReplication": true,
        "enableHistoryMode": true,
        "historyTableStatus": "<string>",
        "individualDeployment": true,
        "isPartitioned": true,
        "name": "<string>",
        "schema": "<string>",
        "status": "<string>",
        "updatedAt": "2023-11-07T05:31:56Z",
        "uuid": "3c90c3cc-0d44-4b50-8888-8dd25736052a"
      }
    ],
    "uuid": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
    "destinationUUID": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
    "lastDeployedAt": "2023-11-07T05:31:56Z",
    "snowflakeEcoScheduleUUID": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
    "sourceReaderUUID": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
    "status": "draft"
  },
  "sourceConnector": {
    "companyUUID": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
    "createdAt": "2023-11-07T05:31:56Z",
    "environmentUUID": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
    "isValid": true,
    "label": "<string>",
    "type": "api",
    "updatedAt": "2023-11-07T05:31:56Z",
    "uuid": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
    "connectionLabel": "<string>",
    "dataPlaneName": "<string>",
    "defaultDatabase": "<string>",
    "sharedConfig": "<unknown>",
    "sshTunnelUUID": "3c90c3cc-0d44-4b50-8888-8dd25736052a"
  },
  "sourceReader": {
    "companyUUID": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
    "connectorUUID": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
    "containerName": "<string>",
    "dataPlaneName": "<string>",
    "database": "<string>",
    "environmentUUID": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
    "isValid": true,
    "name": "<string>",
    "settings": {
      "azureBlobStorageConfig": {
        "accountURL": "<string>",
        "containerName": "<string>",
        "sasToken": "<string>"
      },
      "backfillBatchSize": 1,
      "databasesToSync": [
        "<string>"
      ],
      "disableAutoFetchTables": true,
      "enableHeartbeats": true,
      "mssqlReplicationMethod": "<string>",
      "oneTopicPerSchema": true,
      "partitionRegex": {
        "pattern": "<string>"
      },
      "publicationAutoCreateMode": "<string>",
      "publicationNameOverride": "<string>",
      "publishViaPartitionRoot": true,
      "replicationSlotOverride": "<string>",
      "unifyAcrossDatabases": true,
      "unifyAcrossSchemas": true,
      "unifyAcrossSchemasRegex": "<string>",
      "useAdvanceOnPrimaryKeepAlive": true,
      "useNumericTypesForMoney": true,
      "useReaderForPostgresStreaming": true
    },
    "status": "draft",
    "uuid": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
    "apiBaseURL": "<string>",
    "createdAt": "2023-11-07T05:31:56Z",
    "isShared": true,
    "tablesConfig": {},
    "updatedAt": "2023-11-07T05:31:56Z"
  },
  "destinationConnector": {
    "companyUUID": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
    "createdAt": "2023-11-07T05:31:56Z",
    "environmentUUID": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
    "isValid": true,
    "label": "<string>",
    "type": "api",
    "updatedAt": "2023-11-07T05:31:56Z",
    "uuid": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
    "connectionLabel": "<string>",
    "dataPlaneName": "<string>",
    "defaultDatabase": "<string>",
    "sharedConfig": "<unknown>",
    "sshTunnelUUID": "3c90c3cc-0d44-4b50-8888-8dd25736052a"
  }
}

Authorizations

Authorization
string
header
required

API key passed as a Bearer token in the Authorization header.

Path Parameters

uuid
string
required

Query Parameters

Response

OK

pipeline
object
required
sourceConnector
object
required
sourceReader
object
required
destinationConnector
object